[Overview][Constants][Procedures and functions][Index] | Reference for unit 'DateUtils' (#rtl)

# MilliSecondOfTheHour

Calculate the number of milliseconds elapsed since the start of the hour

## Declaration

Source position: dateutil.inc line 235

`function MilliSecondOfTheHour(`
`const AValue: TDateTime`
`):LongWord;`

## Arguments

`AValue` |  | Moment in the hour

## Function result

Number of milliseconds elapsed since the start of the hour

## Description

MilliSecondOfTheHour returns the number of milliseconds that have passed since the start of the Hour (HH:00:00.000) till the moment indicated by AValue. This is a zero-based number, i.e. HH:00:00.000 will return 0.

For an example, see the MinuteOfTheHour function.

## See also

MilliSecondOfTheYear |  | Calculate the number of milliseconds elapsed since the start of the year.
MilliSecondOfTheMonth |  | Calculate number of milliseconds elapsed since the start of the month.
MilliSecondOfTheWeek |  | Calculate the number of milliseconds elapsed since the start of the week
MilliSecondOfTheDay |  | Calculate the number of milliseconds elapsed since the start of the day
MilliSecondOfTheMinute |  | Calculate the number of milliseconds elapsed since the start of the minute
MilliSecondOfTheSecond |  | Calculate the number of milliseconds elapsed since the start of the second
MinuteOfTheHour |  | Calculate the number of minutes elapsed since the start of the hour
SecondOfTheHour |  | Calculate the number of seconds elapsed since the start of the hour